#! /usr/bin/env python

"""Print text form of html page produced by "html.py"."""

"""
Copyright 2006 Edward C. Jones

This file is part of mrquery.

mrquery is free software; you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

mrquery is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
mrquery; if not, write to the Free Software Foundation, Inc., 51 Franklin
St, Fifth Floor, Boston, MA 02110-1301 USA
"""
import os, sys, optparse
import constants, pathnames, utilities
from LN import LN, MLLN

usage = 'USAGE ./getXtext.py <basename> <dirpair number>'
parser = optparse.OptionParser(usage=usage)
options, args = parser.parse_args()

if len(args) != 2:
    parser.print_help()
    sys.exit('two arguments required')

topdatadir = constants.TOPDATADIR
basename = args[0]
dirpair_number = int(args[1])
datadirname = pathnames.datadirname(topdatadir, basename)
Xtextfile = os.path.join(datadirname, constants.XTEXT)
Xtextdict = utilities.Retrieve(Xtextfile)
print Xtextdict[dirpair_number]
