
/* Copyright 2006 Edward C. Jones

   This file is part of mrquery.

   mrquery is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2 of the License, or (at your option)
   any later version.

   mrquery is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
   more details.

   You should have received a copy of the GNU General Public License along
   with mrquery; if not, write to the Free Software Foundation, Inc., 51
   Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
*/

#include "common.h"

// Use with the global "available".
#define SUMARR 0
#define GOOD 1
#define FISH 2
#define MAXGOOD_WTED 3

double** arrayD(int rows, int cols);
void zero_arrayD(double** arr, int rows, int cols);
void free_arrayD(double** arr);
int** arrayI(int rows, int cols);
void zero_arrayI(int** arr, int rows, int cols);
void free_arrayI(int** arr);

static void fill_lower_Float64(Float64 **arr);
static void fill_lower_Int32(Int32 **arr);
static void fill_upper_Float64(Float64 **arr);
static void fill_upper_Int32(Int32 **arr);
static PyObject* Chaar(PyArrayObject* arr, PyArrayObject* mask,
         PyArrayObject* arrout, PyArrayObject* maskout);
static PyObject* haarc(PyObject* obj, PyObject *args);
static void counts_basic(void);
static PyObject* start(PyObject* obj, PyObject *args);
PyObject* finish(PyObject* obj, PyObject *args);
